Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037626
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2018-01-12 11:092018-02-22 18:18
ReportergorkaionView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision8e83421e15ba
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037626: Numbers in Valued Stock Report are exported to Excel as strings

DescriptionNumbers in Valued Stock Report are exported to Excel as strings
Steps To ReproduceAs group admin role:
   Go to Valued Stock Report
   Select any org
   Export to Excel
   Open the file and check the number values are exported with an apostrophe
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031710 closedcollazoandy4 Review XLS reports to apply cell type when required 

-  Notes
(0101684)
collazoandy4 (developer)
2018-01-12 22:22

Test Plan
  As F&B International Group Admin Role
    Go to Valued Stock Report
    Select F&B EspaƱa - Region Norte as organization
    Export the report to Excel
    Open the file and check the number values are exported as number
(0101714)
hgbot (developer)
2018-01-16 11:58

Repository: erp/devel/pi
Changeset: 8e83421e15ba8e98c8e5fc34440f4c57eef75e70
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Jan 15 12:28:10 2018 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/8e83421e15ba8e98c8e5fc34440f4c57eef75e70 [^]

Fixes issue 37626:Numbers in Valued Stock Report are exported as strings

The number columns of Valued Stock Report was exporting to text in xls format.

The net.sf.jasperreports.export.xls.detect.cell.type property was added to the report
with a true value. Also the pattern "#,##0.00;-#,##0.00" was included to the fields.

---
M src/org/openbravo/erpCommon/ad_reports/ReportValuationStockExcel.jrxml
---
(0101716)
dmiguelez (developer)
2018-01-16 11:59

Code Review + Testing Ok
(0102658)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-01-12 11:09 gorkaion New Issue
2018-01-12 11:09 gorkaion Assigned To => Triage Finance
2018-01-12 11:09 gorkaion Modules => Core
2018-01-12 11:09 gorkaion Triggers an Emergency Pack => No
2018-01-12 11:11 gorkaion Relationship added related to 0031710
2018-01-12 11:59 Practics Issue Monitored: Practics
2018-01-12 13:52 dmiguelez Assigned To Triage Finance => collazoandy4
2018-01-12 17:15 collazoandy4 Status new => scheduled
2018-01-12 22:22 collazoandy4 Note Added: 0101684
2018-01-16 11:58 hgbot Checkin
2018-01-16 11:58 hgbot Note Added: 0101714
2018-01-16 11:58 hgbot Status scheduled => resolved
2018-01-16 11:58 hgbot Resolution open => fixed
2018-01-16 11:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8e83421e15ba8e98c8e5fc34440f4c57eef75e70 [^]
2018-01-16 11:59 dmiguelez Review Assigned To => dmiguelez
2018-01-16 11:59 dmiguelez Note Added: 0101716
2018-01-16 11:59 dmiguelez Status resolved => closed
2018-01-16 12:00 dmiguelez Fixed in Version => 3.0PR18Q2
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102658


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker